<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__pdm__pcm__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_pdm_pcm_config_t</compoundname>
    <includes local="no">cy_pdm_pcm.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__pdm__pcm__config__t_1a76cd8d97999381faa2d3c92cf44de697" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__pdm__pcm__enums_1gaa27739a09b270827f49869f20c9d2ecb">cy_en_pdm_pcm_clk_div_t</ref></type>
        <definition>cy_en_pdm_pcm_clk_div_t cy_stc_pdm_pcm_config_t::clkDiv</definition>
        <argsstring />
        <name>clkDiv</name>
        <briefdescription>
<para>PDM Clock Divider (1st divider), see <ref kindref="member" refid="group__group__pdm__pcm__enums_1gaa27739a09b270827f49869f20c9d2ecb">cy_en_pdm_pcm_clk_div_t</ref> This configures a frequency of PDM CLK. </para>        </briefdescription>
        <detaileddescription>
<para>The configured frequency is used to operate PDM core. I.e. the frequency is input to MCLKQ_CLOCK_DIV register. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" bodystart="349" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" line="349" />
      </memberdef>
      <memberdef id="structcy__stc__pdm__pcm__config__t_1af5db074ab09640dea5acd161f0760e99" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__pdm__pcm__enums_1gaa27739a09b270827f49869f20c9d2ecb">cy_en_pdm_pcm_clk_div_t</ref></type>
        <definition>cy_en_pdm_pcm_clk_div_t cy_stc_pdm_pcm_config_t::mclkDiv</definition>
        <argsstring />
        <name>mclkDiv</name>
        <briefdescription>
<para>MCLKQ divider (2nd divider), see <ref kindref="member" refid="group__group__pdm__pcm__enums_1gaa27739a09b270827f49869f20c9d2ecb">cy_en_pdm_pcm_clk_div_t</ref>. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" bodystart="353" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" line="353" />
      </memberdef>
      <memberdef id="structcy__stc__pdm__pcm__config__t_1aec259d06611df5701cd1066840f72f90" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_pdm_pcm_config_t::ckoDiv</definition>
        <argsstring />
        <name>ckoDiv</name>
        <briefdescription>
<para>PDM CKO (FPDM_CKO) clock divider (3rd divider): </para>        </briefdescription>
        <detaileddescription>
<para><itemizedlist>
<listitem><para>if CKO_CLOCK_DIV &gt;= 1 - *F(PDM_CKO) = F(PDM_CLK / (mclkDiv + 1))</para></listitem><listitem><para>if CKO_CLOCK_DIV = 0 - *F(PDM_CKO) = MCLKQ / 2 </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" bodystart="354" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" line="354" />
      </memberdef>
      <memberdef id="structcy__stc__pdm__pcm__config__t_1ab9b94de9f5aee862b53e44911a0d25cf" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_pdm_pcm_config_t::ckoDelay</definition>
        <argsstring />
        <name>ckoDelay</name>
        <briefdescription>
<para>Extra PDM_CKO delay to internal sampler: </para>        </briefdescription>
        <detaileddescription>
<para><itemizedlist>
<listitem><para>0: Three extra PDM_CLK period advance</para></listitem><listitem><para>1: Two extra PDM_CLK period advance</para></listitem><listitem><para>2: One extra PDM_CLK period advance</para></listitem><listitem><para>3: No delay</para></listitem><listitem><para>4: One extra PDM_CLK period delay</para></listitem><listitem><para>5: Two extra PDM_CLK period delay</para></listitem><listitem><para>6: Three extra PDM_CLK period delay</para></listitem><listitem><para>7: Four extra PDM_CLK clock delay </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" bodystart="357" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" line="357" />
      </memberdef>
      <memberdef id="structcy__stc__pdm__pcm__config__t_1a00398a97f9e5f416f6d7c7bccd6f9518" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_pdm_pcm_config_t::sincDecRate</definition>
        <argsstring />
        <name>sincDecRate</name>
        <briefdescription>
<para>F(MCLK_L_R) = Fs * 2 * sincDecRate * mclkDiv, Fs is a sampling frequency, 8 kHz - 48 kHz. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" bodystart="366" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" line="366" />
      </memberdef>
      <memberdef id="structcy__stc__pdm__pcm__config__t_1adab303cbb62eb6badfcd72a3e0661f63" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__pdm__pcm__enums_1ga1a5b2dac3a8f00ab2d096c0448aa34e4">cy_en_pdm_pcm_out_t</ref></type>
        <definition>cy_en_pdm_pcm_out_t cy_stc_pdm_pcm_config_t::chanSelect</definition>
        <argsstring />
        <name>chanSelect</name>
        <briefdescription>
<para>see <ref kindref="member" refid="group__group__pdm__pcm__enums_1ga1a5b2dac3a8f00ab2d096c0448aa34e4">cy_en_pdm_pcm_out_t</ref> </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" bodystart="368" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" line="368" />
      </memberdef>
      <memberdef id="structcy__stc__pdm__pcm__config__t_1a52af035a1c24528ccaac06fe22478dae" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_pdm_pcm_config_t::chanSwapEnable</definition>
        <argsstring />
        <name>chanSwapEnable</name>
        <briefdescription>
<para>Audio channels swapping. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" bodystart="369" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" line="369" />
      </memberdef>
      <memberdef id="structcy__stc__pdm__pcm__config__t_1ad6b92493b10518a30babff09a1f40e77" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_pdm_pcm_config_t::highPassFilterGain</definition>
        <argsstring />
        <name>highPassFilterGain</name>
        <briefdescription>
<para>High pass filter gain: H(Z) = (1 - Z^-1) / (1 - (1 - 2^highPassFilterGain) * Z^-1) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" bodystart="370" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" line="370" />
      </memberdef>
      <memberdef id="structcy__stc__pdm__pcm__config__t_1a1597394c0da88d678f7b4405c64c98d4" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_pdm_pcm_config_t::highPassDisable</definition>
        <argsstring />
        <name>highPassDisable</name>
        <briefdescription>
<para>High pass filter disable. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" bodystart="372" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" line="372" />
      </memberdef>
      <memberdef id="structcy__stc__pdm__pcm__config__t_1a4b1f76305638625b13b20fe78b4cbc3f" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__pdm__pcm__enums_1gad60ecc3b7b9d0ae7f448438f66699cb9">cy_en_pdm_pcm_s_cycles_t</ref></type>
        <definition>cy_en_pdm_pcm_s_cycles_t cy_stc_pdm_pcm_config_t::softMuteCycles</definition>
        <argsstring />
        <name>softMuteCycles</name>
        <briefdescription>
<para>The time step for gain change during PGA or soft mute operation in number of 1/a sampling rate, see <ref kindref="member" refid="group__group__pdm__pcm__enums_1gad60ecc3b7b9d0ae7f448438f66699cb9">cy_en_pdm_pcm_s_cycles_t</ref>. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" bodystart="373" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" line="373" />
      </memberdef>
      <memberdef id="structcy__stc__pdm__pcm__config__t_1ab50b2b03e84b186194389da7b531ca39" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_pdm_pcm_config_t::softMuteFineGain</definition>
        <argsstring />
        <name>softMuteFineGain</name>
        <briefdescription>
<para>Soft mute fine gain: 0 = 0.13dB, 1 = 0.26dB. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" bodystart="375" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" line="375" />
      </memberdef>
      <memberdef id="structcy__stc__pdm__pcm__config__t_1ad280e714b5e8288e77472e8d5c84ddd9" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_pdm_pcm_config_t::softMuteEnable</definition>
        <argsstring />
        <name>softMuteEnable</name>
        <briefdescription>
<para>Soft mute enable. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" bodystart="376" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" line="376" />
      </memberdef>
      <memberdef id="structcy__stc__pdm__pcm__config__t_1ab2ab60f66c03b9bfb896ee01deb5a34d" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__pdm__pcm__enums_1ga97622d82ab2e429e1b8486428f22e266">cy_en_pdm_pcm_word_len_t</ref></type>
        <definition>cy_en_pdm_pcm_word_len_t cy_stc_pdm_pcm_config_t::wordLen</definition>
        <argsstring />
        <name>wordLen</name>
        <briefdescription>
<para>see <ref kindref="member" refid="group__group__pdm__pcm__enums_1ga97622d82ab2e429e1b8486428f22e266">cy_en_pdm_pcm_word_len_t</ref> </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" bodystart="377" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" line="377" />
      </memberdef>
      <memberdef id="structcy__stc__pdm__pcm__config__t_1a1953184d9bc890c149d3cb8188fbfaf2" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_pdm_pcm_config_t::signExtension</definition>
        <argsstring />
        <name>signExtension</name>
        <briefdescription>
<para>Word extension type: </para>        </briefdescription>
        <detaileddescription>
<para><itemizedlist>
<listitem><para>0: extension by zero</para></listitem><listitem><para>1: extension by sign bits </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" bodystart="378" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" line="378" />
      </memberdef>
      <memberdef id="structcy__stc__pdm__pcm__config__t_1a8104ce4d0a012024f82e0fde64b3d8dd" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__pdm__pcm__enums_1gaadc731486c068307198cd76e1283432f">cy_en_pdm_pcm_gain_t</ref></type>
        <definition>cy_en_pdm_pcm_gain_t cy_stc_pdm_pcm_config_t::gainLeft</definition>
        <argsstring />
        <name>gainLeft</name>
        <briefdescription>
<para>Gain for left channel, see <ref kindref="member" refid="group__group__pdm__pcm__enums_1gaadc731486c068307198cd76e1283432f">cy_en_pdm_pcm_gain_t</ref>. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" bodystart="381" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" line="381" />
      </memberdef>
      <memberdef id="structcy__stc__pdm__pcm__config__t_1a1363ed2e3eab8aa20d86b1ce272477be" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__pdm__pcm__enums_1gaadc731486c068307198cd76e1283432f">cy_en_pdm_pcm_gain_t</ref></type>
        <definition>cy_en_pdm_pcm_gain_t cy_stc_pdm_pcm_config_t::gainRight</definition>
        <argsstring />
        <name>gainRight</name>
        <briefdescription>
<para>Gain for right channel, see <ref kindref="member" refid="group__group__pdm__pcm__enums_1gaadc731486c068307198cd76e1283432f">cy_en_pdm_pcm_gain_t</ref>. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" bodystart="382" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" line="382" />
      </memberdef>
      <memberdef id="structcy__stc__pdm__pcm__config__t_1a1079ab0d5c6353df5016fcf36eca9ea4" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_pdm_pcm_config_t::rxFifoTriggerLevel</definition>
        <argsstring />
        <name>rxFifoTriggerLevel</name>
        <briefdescription>
<para>Fifo interrupt trigger level (in words), range: 0 - 253 for stereo and 0 - 254 for mono mode. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" bodystart="383" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" line="383" />
      </memberdef>
      <memberdef id="structcy__stc__pdm__pcm__config__t_1a4993951ea6cba854859a905f05cbb076" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_pdm_pcm_config_t::dmaTriggerEnable</definition>
        <argsstring />
        <name>dmaTriggerEnable</name>
        <briefdescription>
<para>DMA trigger enable. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" bodystart="385" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" line="385" />
      </memberdef>
      <memberdef id="structcy__stc__pdm__pcm__config__t_1a53ae73cac788873d873731714f206e8c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_pdm_pcm_config_t::interruptMask</definition>
        <argsstring />
        <name>interruptMask</name>
        <briefdescription>
<para>Interrupts enable mask. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" bodystart="386" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" line="386" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>PDM-PCM initialization configuration. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="387" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" bodystart="347" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" line="348" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__pdm__pcm__config__t_1adab303cbb62eb6badfcd72a3e0661f63" virt="non-virtual"><scope>cy_stc_pdm_pcm_config_t</scope><name>chanSelect</name></member>
      <member prot="public" refid="structcy__stc__pdm__pcm__config__t_1a52af035a1c24528ccaac06fe22478dae" virt="non-virtual"><scope>cy_stc_pdm_pcm_config_t</scope><name>chanSwapEnable</name></member>
      <member prot="public" refid="structcy__stc__pdm__pcm__config__t_1ab9b94de9f5aee862b53e44911a0d25cf" virt="non-virtual"><scope>cy_stc_pdm_pcm_config_t</scope><name>ckoDelay</name></member>
      <member prot="public" refid="structcy__stc__pdm__pcm__config__t_1aec259d06611df5701cd1066840f72f90" virt="non-virtual"><scope>cy_stc_pdm_pcm_config_t</scope><name>ckoDiv</name></member>
      <member prot="public" refid="structcy__stc__pdm__pcm__config__t_1a76cd8d97999381faa2d3c92cf44de697" virt="non-virtual"><scope>cy_stc_pdm_pcm_config_t</scope><name>clkDiv</name></member>
      <member prot="public" refid="structcy__stc__pdm__pcm__config__t_1a4993951ea6cba854859a905f05cbb076" virt="non-virtual"><scope>cy_stc_pdm_pcm_config_t</scope><name>dmaTriggerEnable</name></member>
      <member prot="public" refid="structcy__stc__pdm__pcm__config__t_1a8104ce4d0a012024f82e0fde64b3d8dd" virt="non-virtual"><scope>cy_stc_pdm_pcm_config_t</scope><name>gainLeft</name></member>
      <member prot="public" refid="structcy__stc__pdm__pcm__config__t_1a1363ed2e3eab8aa20d86b1ce272477be" virt="non-virtual"><scope>cy_stc_pdm_pcm_config_t</scope><name>gainRight</name></member>
      <member prot="public" refid="structcy__stc__pdm__pcm__config__t_1a1597394c0da88d678f7b4405c64c98d4" virt="non-virtual"><scope>cy_stc_pdm_pcm_config_t</scope><name>highPassDisable</name></member>
      <member prot="public" refid="structcy__stc__pdm__pcm__config__t_1ad6b92493b10518a30babff09a1f40e77" virt="non-virtual"><scope>cy_stc_pdm_pcm_config_t</scope><name>highPassFilterGain</name></member>
      <member prot="public" refid="structcy__stc__pdm__pcm__config__t_1a53ae73cac788873d873731714f206e8c" virt="non-virtual"><scope>cy_stc_pdm_pcm_config_t</scope><name>interruptMask</name></member>
      <member prot="public" refid="structcy__stc__pdm__pcm__config__t_1af5db074ab09640dea5acd161f0760e99" virt="non-virtual"><scope>cy_stc_pdm_pcm_config_t</scope><name>mclkDiv</name></member>
      <member prot="public" refid="structcy__stc__pdm__pcm__config__t_1a1079ab0d5c6353df5016fcf36eca9ea4" virt="non-virtual"><scope>cy_stc_pdm_pcm_config_t</scope><name>rxFifoTriggerLevel</name></member>
      <member prot="public" refid="structcy__stc__pdm__pcm__config__t_1a1953184d9bc890c149d3cb8188fbfaf2" virt="non-virtual"><scope>cy_stc_pdm_pcm_config_t</scope><name>signExtension</name></member>
      <member prot="public" refid="structcy__stc__pdm__pcm__config__t_1a00398a97f9e5f416f6d7c7bccd6f9518" virt="non-virtual"><scope>cy_stc_pdm_pcm_config_t</scope><name>sincDecRate</name></member>
      <member prot="public" refid="structcy__stc__pdm__pcm__config__t_1a4b1f76305638625b13b20fe78b4cbc3f" virt="non-virtual"><scope>cy_stc_pdm_pcm_config_t</scope><name>softMuteCycles</name></member>
      <member prot="public" refid="structcy__stc__pdm__pcm__config__t_1ad280e714b5e8288e77472e8d5c84ddd9" virt="non-virtual"><scope>cy_stc_pdm_pcm_config_t</scope><name>softMuteEnable</name></member>
      <member prot="public" refid="structcy__stc__pdm__pcm__config__t_1ab50b2b03e84b186194389da7b531ca39" virt="non-virtual"><scope>cy_stc_pdm_pcm_config_t</scope><name>softMuteFineGain</name></member>
      <member prot="public" refid="structcy__stc__pdm__pcm__config__t_1ab2ab60f66c03b9bfb896ee01deb5a34d" virt="non-virtual"><scope>cy_stc_pdm_pcm_config_t</scope><name>wordLen</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>